//***************************************************************************************
//***
//***	Projectname:	Compact Flash Interface
//***	Filename:		CF_Card_IF.c
//***	Shortcut:		CFC
//***	Author:			Ralf Hochhausen
//***	Date:			20.11.2003
//***	Acual Version:	V1.0 (Initial Version)
//***	
//***	Description:	Memory Interface to a compact flash card
//***
//***	File-History:	20.11.2003
//***					V1.0	Initial Version
//***
//***************************************************************************************

#ifndef __CFC_H

#define __CFC_H

//***************************************************************************************
//***
//***	Global Types
//***
//***************************************************************************************
typedef union
{
	ulong	longbyte;
	uchar	byte[4];
}lba_address;

//***************************************************************************************
//***
//***	Global Functions
//***
//***************************************************************************************

//***************************************************************************************
//***
//***	Function:		void CFC_vReadSector(lba_address lbaSectorAddress, uchar* pucBuffer)
//***	
//***	Return Type:	void
//***
//***	Parameters:		lba_address lbaSectorAddress:		Address of the Sector that has
//***														to be read
//***					uchar* pucBuffer:					Pointer to the memory location,
//***														where the data has to be stored			
//***	
//***	Function to read one sector of the compact flash card
//***
//***************************************************************************************
void CFC_vReadSector(lba_address lbaSectorAddress_, uchar* pucBuffer_);
void CFC_vIdentifyDrive(uchar* pucBuffer_);
void vSetLBAAddress(lba_address lbaAddress_);
uchar ucReadStatusRegister(void);
uchar ucReadErrorRegister(void);
void CFC_vInit(void);

#endif
